/*******************************************************************************
 *
 * blueMarine - open source photo workflow
 * =======================================
 *
 * Copyright (C) 2003-2009 by Fabrizio Giudici
 * Project home page: http://bluemarine.tidalwave.it
 *
 *******************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 *
 *******************************************************************************
 *
 * $Id$
 *
 ******************************************************************************/
package it.tidalwave.metadata.makernote.persistence;

import javax.annotation.Nonnull;
import it.tidalwave.imageio.raw.Directory;
import it.tidalwave.metadata.persistence.spi.MistralBeanAccessor;

/*******************************************************************************
 *
 * This class provides persistence access to metadata items for maker notes
 * based on the {@link Directory} class.
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 ******************************************************************************/
public class MakerNoteBeanAccessor<T extends Directory> extends MistralBeanAccessor<T>
  {
    public MakerNoteBeanAccessor (@Nonnull final Class<T> itemClass,
                                  @Nonnull final String propertySetName)
      {
        super(itemClass, propertySetName);
      }
  }
